/////////////////////////////////////////////////////////////////
// File: logR0api.h
//
// Defines "C" interface to Windows 95 LOGGER.VxD Ring0 service. 
// Include VtoolsD or DDK95 includes first before including this.
//
#ifndef _INC_LOGR0API_H
#define _INC_LOGR0API_H

#ifdef __cplusplus
 extern "C" {
#endif

DWORD  _cdecl LOGR0_GetVersion();
HANDLE _cdecl LOGR0_OpenFile(const char* szFileName, DWORD BufSize);
BOOL   _cdecl LOGR0_CloseFile(HANDLE hFile);
void   _cdecl LOGR0_Printf(HANDLE hFile, const char* format,...);
DWORD  _cdecl LOGR0_Flush(HANDLE hFile);


#ifdef __cplusplus
 }
#endif

#endif // _INC_LOGR0API_H


