// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__77C7C749_AB80_11D1_8B2C_00A024910ECA__INCLUDED_)
#define AFX_MAINFRM_H__77C7C749_AB80_11D1_8B2C_00A024910ECA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "fullscrn.h"

class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

private:
   friend Full_screen;
   Full_screen m_fullscreen;

public:
   bool In_full_screen_mode() const
      { return m_fullscreen.Is_in_full_screen_mode(); }
   void Restore_normal_screen_mode()
      { m_fullscreen.Restore_all_window_areas(this); }
   void Start_full_screen_mode()
      { m_fullscreen.Setup_for_full_screen(this); }


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__77C7C749_AB80_11D1_8B2C_00A024910ECA__INCLUDED_)
