# THRDMON.mak - makefile for VxD THRDMON

DEVICENAME = THRDMON
DYNAMIC = 1
FRAMEWORK = CPP
# DEBUG = 1

# VtoolsD optional include path:
INCVXD2 = ..\include

LOGVXDAPI_SRC = ..\logR0api

OBJECTS = thrdmon.OBJ logR0api.obj

!include $(VTOOLSD)\include\vtoolsd.mak
!include $(VTOOLSD)\include\vxdtarg.mak

# main module dependencies
thrdmon.OBJ:	thrdmon.cpp thrdmon.h ..\include\logR0api.h

# inference rule for files not from the home directory
{$(LOGVXDAPI_SRC)}.c.obj:
	set INCLUDE=$(SOURCEINCPATH);$(INCLUDEVXD)
	set CL= $(CFLAGS) $(XFLAGS) /DALT_INIT_SEG /Fo$@
	$(C32) $<
	$(EDITBIN) @$(VTOOLSD)\include\ebin.cmd $@ $(COMPILEFILTER)

$(LOGVXDAPI_SRC)\logR0api.c:	..\include\logR0api.h
